aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ucsniff/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-02-01 20:38:30 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-01 20:38:30 +0000
commite54b30c8a64107f114fa8eb1cfd887932ba299f1 (patch)
tree98aaf47acdc3048d2d0e2101d51269080ca79f37 /testing/ucsniff/APKBUILD
parent186aaa25fc72a12f8bfb9400e59895207c23cbd0 (diff)
downloadaports-e54b30c8a64107f114fa8eb1cfd887932ba299f1.tar.gz
aports-e54b30c8a64107f114fa8eb1cfd887932ba299f1.tar.bz2
aports-e54b30c8a64107f114fa8eb1cfd887932ba299f1.tar.xz
testing/ucsniff: new aport
VoIP Security Assessment tool http://ucsniff.sourceforge.net
Diffstat (limited to 'testing/ucsniff/APKBUILD')
-rw-r--r--testing/ucsniff/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/testing/ucsniff/APKBUILD b/testing/ucsniff/APKBUILD
new file mode 100644
index 0000000000..ae0fa812f3
--- /dev/null
+++ b/testing/ucsniff/APKBUILD
@@ -0,0 +1,27 @@
+# Contributor: Your Name mika.havela@gmail.com>
+pkgname=ucsniff
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="VoIP Security Assessment tool"
+url="http://ucsniff.sourceforge.net"
+license="GPLv3"
+depends="libpcap libnet zlib alsa-lib libltdl"
+makedepends="libpcap-dev libnet-dev zlib-dev"
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --disable-gtk \
+ --disable-nls \
+ --without-iconv || return 1
+
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="64f12c353744dcf6c8710b4704cadfbe ucsniff-1.0.0.tar.gz"